--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 14/405
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              31-JAN-14   Generis         10.0.008
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 14/405
PROMPT
PROMPT Version 10.0.008
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Insert PPS as GT (MDD 14/405)

--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_NAME,
                       CREATED_USER_ID,CREATED_DATE,MARKET_PARTICIPANT_ABBR_NAME)
                       VALUES (''PPS'',''ESP Connections Limited'',''MDD_14_405'',SYSDATE,''PPS'')';

EXECUTE IMMEDIATE 'INSERT INTO ADDRESS (ADDRESS_ID,BUILDING_NUMBER,BUILDING_NAME,BUILDING_NAME_SUB,
                       ADDRESS_1,ADDRESS_2,ADDRESS_3,ADDRESS_4,POSTCODE_OUTCODE,POSTCODE_INCODE,
                       CREATED_USER_ID,CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                       VALUES (ADDRESS_ID_SEQ.NEXTVAL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,''X9'',''9XX'',
                       ''MDD_14_405'',''BSMART'',SYSDATE)';

EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                       EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                       REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                       MARKET_PARTICIPANT_ROLE_PORT,CREATED_USER_ID,CREATED_DATE)
                       VALUES (''PPS'',''PGT'',TO_DATE(''01012000000000'',''DDMMYYYYHH24MISS''),NULL,
                       ''ESP Connections Limited (PGT)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,''MDD_14_405'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
